package com.jeeplus.modules.supply.materialsProvidedByAForReview.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 甲供材报审Entituy
 * @author: 黄俊杰
 * @create: 2022-02-28 16:00
 */
public class MaterialsProvidedByAForReview extends DataEntity<MaterialsProvidedByAForReview> {
    private String serialNumber;            //序号
    private String materialNumber;          //物料编码
    private String materialDescription;     //物料描述
    private String actualQuantityIssued;      //出库数量  出库表的实发数量
    private String unit;                    //单位
    private String projectDefinition;       //项目定义号
    private String projectName;             //项目名称
    private String submittalsId;            //送审id
    @ExcelField(title="序号", align=2, sort=1)
    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }
    @ExcelField(title="物料编码", align=2, sort=2)
    public String getMaterialNumber() {
        return materialNumber;
    }

    public void setMaterialNumber(String materialNumber) {
        this.materialNumber = materialNumber;
    }
    @ExcelField(title="物料描述", align=2, sort=3)
    public String getMaterialDescription() {
        return materialDescription;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }
    @ExcelField(title="出库数量", align=2, sort=4)
    public String getActualQuantityIssued() {
        return actualQuantityIssued;
    }

    public void setActualQuantityIssued(String outWarehouseNumber) {
        this.actualQuantityIssued = outWarehouseNumber;
    }
    @ExcelField(title="单位", align=2, sort=5)
    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }
    @ExcelField(title="项目定义号", align=2, sort=6)
    public String getProjectDefinition() {
        return projectDefinition;
    }

    public void setProjectDefinition(String projectDefinition) {
        this.projectDefinition = projectDefinition;
    }
    @ExcelField(title="项目名称", align=2, sort=7)
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }
    @ExcelField(title="送审Id", align=2, sort=8)
    public String getSubmittalsId() {
        return submittalsId;
    }

    public void setSubmittalsId(String submittalsId) {
        this.submittalsId = submittalsId;
    }
}
